generic_package:
  stage: deploy
  image: curlimages/curl:latest
  rules:
    # Run only if a tag is created, and tag begins with a number
    - if: $CI_COMMIT_TAG && $CI_COMMIT_TAG =~ /^[0-9]/
  script:
  - 'curl --header "JOB-TOKEN: $CI_JOB_TOKEN" --upload-file server/asqatasun-server/target/asqatasun-server-*.jar "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/generic/Asqatasun/${CI_COMMIT_TAG}/asqatasun-server-${CI_COMMIT_TAG}.jar"'
  - 'curl --header "JOB-TOKEN: $CI_JOB_TOKEN" --upload-file web-app/asqatasun-web-app/target/asqatasun-web-app-*.war "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/generic/Asqatasun/${CI_COMMIT_TAG}/asqatasun-web-app-${CI_COMMIT_TAG}.war"'
